DualECPoints (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.prng.drbg

## Class DualECPoints

- java.lang.Object
- - org.bouncycastle.crypto.prng.drbg.DualECPoints

-     public class DualECPoints
      extends java.lang.Object

  General class for providing point pairs for use with DualEC DRBG. See NIST SP 800-90A for further details.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DualECPoints(int securityStrength, ECPoint p, ECPoint q, int cofactor)` Base Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCofactor()`
    `int` | `getMaxOutlen()`
    `ECPoint` | `getP()`
    `ECPoint` | `getQ()`
    `int` | `getSecurityStrength()`
    `int` | `getSeedLen()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DualECPoints

          public DualECPoints(int securityStrength,
                              ECPoint p,
                              ECPoint q,
                              int cofactor)

      Base Constructor.

      The cofactor is used to calculate the output block length (maxOutlen) according to

               max_outlen = largest multiple of 8 less than ((field size in bits) - (13 + log2(cofactor))

      Parameters:
        `securityStrength` - maximum security strength to be associated with these parameters
        `p` - the P point.
        `q` - the Q point.
        `cofactor` - cofactor associated with the domain parameters for the point generation.

  - ### Method Detail

    - #### getSeedLen

          public int getSeedLen()

    - #### getMaxOutlen

          public int getMaxOutlen()

    - #### getP

          public ECPoint getP()

    - #### getQ

          public ECPoint getQ()

    - #### getSecurityStrength

          public int getSecurityStrength()

    - #### getCofactor

          public int getCofactor()